cordova.define("com-bank9f-weilicai.Tool", function(require, exports, module) {

var Tool = {
    getAPPUserMemberId:function(success){
        var paraArr = new Array();
        var exec =cordova.require('cordova/exec');
        exec(success, function(){},"JFTool","getAPPUserMemberId",paraArr);
    },
    notificationStatus:function(success,failure){
        var paraArr = new Array();
        var exec =cordova.require('cordova/exec');
        exec(success,failure,"JFTool","notificationStatus",paraArr);
    },
    save:function(imageURL,success,fail) {
        var paraArr = new Array();
        paraArr.push(imageURL);
        var exec =cordova.require('cordova/exec');
        exec(success,fail,"JFTool","saveImage",paraArr);
    },
    copy:function(text) {
        var paraArr = new Array();
        paraArr.push(text);
        var exec =cordova.require('cordova/exec');
        exec(function(){}, function(){},"JFTool","copyText",paraArr);
    },
    upload:function(url,data,success,failure) {
        var paraArr = new Array();
        paraArr.push(url);
        paraArr.push(data);
        var exec =cordova.require('cordova/exec');
        exec(function(data){success(data)}, function(data){failure(data)},"JFTool","upload",paraArr);
    },
    download:function(url,success,failure) {
        var paraArr = new Array();
        paraArr.push(url);
        var exec =cordova.require('cordova/exec');
        exec(success, failure,"JFTool","download",paraArr);
    },
    faceRecognition:function(actionCount,success,failure) {
        var paraArr = new Array();
        paraArr.push(actionCount);
        var exec =cordova.require('cordova/exec');
        exec(function(imgListStr){success(imgListStr)}, failure,"JFTool","faceRecognition",paraArr);
    },
    getCurrentVersion:function(success){
        var paraArr = new Array();
        var exec =cordova.require('cordova/exec');
        exec(success, function(){},"JFTool","getCurrentVersion",paraArr);
    },
    html2img:function(){
        var paraArr = new Array();
        var exec =cordova.require('cordova/exec');
        exec(function(){}, function(){},"JFTool","saveHtmlPageImage",paraArr);
    },
    getTDID:function(success){
        var paraArr = new Array();
        var exec =cordova.require('cordova/exec');
        exec(function(deviceID){success(deviceID)}, function(){},"JFTool","getTDID",paraArr);
    },
    getAPPUserInfo:function(success){
        var paraArr = new Array();
        var exec = cordova.require('cordova/exec');
        exec(function(userInfo){success(userInfo)},function(){},"JFTool","getAPPUserInfo",paraArr);
    },
    setH5Data:function(key,value,success,error){
            var paraArr = new Array();
            paraArr.push(key);
            paraArr.push(value);
            var exec = cordova.require('cordova/exec');
            exec(function(code){success(code)}, function(errorCode){error(errorCode)},"JFTool","setH5Data",paraArr);
        },
    getH5Data:function(key,success,error){
            var paraArr = new Array();
            paraArr.push(key);
            var exec = cordova.require('cordova/exec');
            exec(function(value){success(value)},function(errorCode){error(errorCode)},"JFTool","getH5Data",paraArr);
        },
    getCalllog:function(success, error){
        var paraArr = new Array();
        var exec = cordova.require('cordova/exec');
        exec(function(calllog){
                success(calllog)
            }, error, "JFTool", "getCalllog", paraArr);
    },
    getCurrentPosition:function(success, error, options){
        var paraArr = new Array();
        var exec = cordova.require('cordova/exec');
        exec(function(positionJson){success(positionJson)}
            , function(errorCode, errorMsg){success(errorCode, errorMsg)}
            , "JFTool", "getCurrentPosition", paraArr);
    },
    scanBankCard:function(success, fail){
        var paraArr = new Array();
        var exec = cordova.require('cordova/exec');
        exec(function(cardNum){success(cardNum)}
            , fail
            , "JFTool", "scanBankCard", paraArr);
    },
    scanIdCard:function(sideType, success, fail){
        var paraArr = new Array();
        paraArr.push(sideType)
        var exec = cordova.require('cordova/exec');
        exec(function(result){success(result)}
            , fail
            , "JFTool", "scanIdCard", paraArr);
    },
    getAllQYUnreadCount:function(success) {
        var paraArr = new Array();
        var exec =cordova.require('cordova/exec');
        exec(success, function(){},"JFTool","getAllQYUnreadCount",paraArr);
    },
    antiFraudTicket:function(json,success,fail) {
        var paraArr = new Array();
        paraArr.push(json)
        var exec =cordova.require('cordova/exec');
        exec(success, fail,"JFTool","antiFraudTicket",paraArr);
    },
    getNetworkType:function(success) {
            var paraArr = new Array();
            var exec =cordova.require('cordova/exec');
            exec(success, function(){},"JFTool","getNetworkType",paraArr);
    },

};
               
module.exports = Tool;

});