var demo = {
    // Application Constructor
    initialize: function() {
    	//alert("demo.js");
        this.bindEvents();
    },
    geteleById:function(eleID){
    	return document.getElementById(eleID)
    },

    bindEvents: function() {
 		var _this = this;
    	try{
    	//	alert(document.getElementById("cordovasrc").src);
    	//	 _this.onDeviceReady();//_this.onDeviceReady();
    document.addEventListener('deviceready', _this.onDeviceReady, false);
       }catch(e){
       	alert(e.message);
       }
		
    },

    onDeviceReady: function() {
    	var _this = this;
    	try{
		demo.bindToolsEvents();
		demo.bindUIEvents();
		}catch(e){
			alert(e);
		}
//		/Context.hideLoading()
		console.log('Received Event: ' + "deviceready");
    },
    //工具类接口
    bindToolsEvents:function(){
    	
    	var _this = this;
    	//获取联系人
    	_this.geteleById("contacts").addEventListener("click",function(e){
    		alert("您想调用通讯录");
    		try{
    		_this.findContacts();
    		}catch(e){
    			alert(e.message);
    		}
    	});
    	//人脸识别
    	_this.geteleById("faceRecognition").addEventListener("click",function(e){
    		try{
    		Tool.faceRecognition();
    		}catch(e){
    			alert(e.message);
    		}
    	})
    	//获取TDid
    	_this.geteleById("getTDID").addEventListener("click",function(e){
    		try{
    		var onSuccess = function(tdID){
       		 //获得TDID后的回调函数
       		 alert(tdID);
			}

			Tool.getTDID(onSuccess);
			}catch(e){
				alert(e.message);
			}
    	})
    	//获取地理位置信息
    	_this.geteleById("CurrentPosition").addEventListener("click",function(e){
    		var onSuccess = function(position) {
        //定位成功的回调函数
        //纬度：position.coords.latitude
        //经度：position.coords.longitude
        alert("纬度:"+position.coords.latitude +" 经度："+position.coords.longitude);
		};
		var onError = function(error) {
		        //定位失败的回调函数
		        //失败码：error.code
		        //失败信息：error.message
		        alert("code:"+error.code+"message:"+error.message);
		};  
		navigator.geolocation.getCurrentPosition(onSuccess, onError);
    	})    
    	
    	    	//保存图片
    	_this.geteleById("saveimg").addEventListener("click",function(e){
				Tool.save("//static.9f.cn/img/icon/h5/icon_152.png");       //url : 图片的地址
    	})
    	    	//复制文本
    	_this.geteleById("copytext").addEventListener("click",function(e){
			Tool.copy('text');              //text : 复制的文字
    	})
    	    	//获取版本号接口
    	_this.geteleById("currentVersion").addEventListener("click",function(e){
				var onSuccess = function(currentVersion){
				        //拿到版本号的回调函数
				        alert("当前版本号"+currentVersion);
				}
				Tool.getCurrentVersion(onSuccess);
    	})
    	//截取webView的内容截图接口
    	_this.geteleById("html2img").addEventListener("click",function(e){
			Tool.html2img();
    	})

    	
    },
    //UI类接口
    bindUIEvents:function(){
    	    	//右上角按钮文字修改接口
    	 var _this = this;   	
    	_this.geteleById("rightItemTitle").addEventListener("click",function(e){
    		try{
				Navigation.setRightItemTitle('text');
				}catch(e){
					alert(e);
				}
    	})
    	    	//type == 99, 调用分享方法
    	_this.geteleById("RightItemAction99").addEventListener("click",function(e){
    			try{
    		var options = {
				    "type":"99",
				    "shareText":"移动理财大师兄" ,     //分享的标题
				    "shareContent":"移动理财大师兄",   //分享的内容
				    "shareUrl":"https://m.9f.cn",       //分享的链接
				    "image":"https://static.9f.cn/img/icon/h5/icon_152.png"          //分享的图片
				}
    		//alert(JSON.stringify(options));
			Navigation.setRightItemAction(JSON.stringify(options));
			}catch(e){
				alert(e);
			}
    	})    
    	
    	    	//type == 98, 回调JS方法
    	_this.geteleById("RightItemAction98").addEventListener("click",function(e){
    		try{
    		window.onclickfn = function(){
    			alert("签到成功");
    		}
    		var option = {
				    "type":"98",
				    "onclick":"onclickfn()" //回调的JS方法
				};
				Navigation.setRightItemAction(JSON.stringify(option));
				}catch(e){
				alert(e);
			}
    	})    
    	    	//type == 97, 跳转链接
    	_this.geteleById("RightItemAction97").addEventListener("click",function(e){
    		try{
    		var option = {
						    "type":"97",
						    "url":"https://m.9f.cn" //跳转的链接
						}
						Navigation.setRightItemAction(JSON.stringify(option));
			}catch(e){
				alert(e);
			}
    	})    
    	    	//弹出actionsheet接口
    	_this.geteleById("actionsheet").addEventListener("click",function(e){
    		try{
    			alert("actionsheet");
    		var callback = function(buttonIndex) {
		        if (buttonIndex == 2) {
		            //第二个按钮的点击事件
		            alert("您点击了添加");
		        }
		        else if (buttonIndex == 1) {
		            //第一个按钮的点击事件
		            alert("您点击了删除");
		        }
				};
				var options = {
				        'buttonLabels': ['删除', '添加'],       //点击按钮的文字显示
				        'addCancelButtonWithLabel': '取消', //取消按钮的文字显示
				 };
				window.plugins.actionsheet.show(options, callback);
				
			}catch(e){
				alert(e);
			}

    	})    
    	    	//相机相册接口
    	_this.geteleById("camera").addEventListener("click",function(e){
			navigator.camera.getPicture(function (imageData) {
			                            //成功取得照片后的回调函数
			                            var image = demo.geteleById('myImage');
			                            image.style.display = "block";
   										image.src = "data:image/jpeg;base64," + imageData;
			                           
			                            }, 
			                            function (message) {
			                            //失败后的回调函数
			                             alert('Failed because: ' + message);
			                            }, {
			                            sourceType:Camera.PictureSourceType.PHOTOLIBRARY //Camera.PictureSourceType.PHOTOLIBRARY 打开相册
			                                        //Camera.PictureSourceType.CAMERA 打开相机
			 });
    	})        	
    	
    	_this.geteleById("changepagepage").addEventListener("click",function(e){
    		try{
    			Navigation.pushWindow('jfWallet://JFWebViewModelProtocol?startPageUrl=https://m.9f.cn&wwwFolderName=www');
    		}catch(e){
    			alert(e);
    		}
    	});
    	
    	//显示和隐藏loading
    	_this.geteleById("loadingWithStatus").addEventListener("click",function(e){
    		Context.showLoadingWithStatus("加载中...");
    		setTimeout(function(){
    			Context.hideLoading();
    		},2000)
    	})
    	//显示showDelayInfoTip
    	_this.geteleById("showDelayInfoTip").addEventListener("click",function(e){
    		Context.showDelayInfoTip("我是提示框");
    	 
    	})
    	//showDelayErrorTip
    	_this.geteleById("showDelayErrorTip").addEventListener("click",function(e){
    		Context.showDelayErrorTip("我是错误提示框");
    	 
    	})
    	//显示showDelaySuccessTip
    	_this.geteleById("showDelaySuccessTip").addEventListener("click",function(e){
    		Context.showDelaySuccessTip("我是成功提示框");
    	 
    	})
    	
    	_this.geteleById("setTitle").addEventListener("click",function(e){
    		try{
    			alert("123");
    		Navigation.setTitle("设置标题");
    		}catch(e){
    			alert(e.message);
    		}
    	})
    	
    	_this.geteleById("deviceinfo").addEventListener("click",function(e){
    		try{
    				 var str = "cordova:cordova版本" + device.cordova 
				+
		"\r\n模型或产品名称"+device.model
		+"\r\n操作系统"+device.platform
		+"\r\n设备的通用唯一标识符"+device.uuid
		+"\r\n系统版本"+device.version
		+"\r\n厂商"+device.manufacturer
		+"\r\n是否是模拟器"+device.isVirtual
		+"\r\n设备的硬件序列号"+device.serial;
		alert(str);
    		}catch(e){
    			alert(e.message);
    		}
    	})
    },
    
//查询通讯录
 findContacts:function(){
 	try{
            function onSuccess(contacts) {
                alert('查到 ' + contacts.length + ' 条联系人.');
            };
            
            function onError(contactError) {
                alert('获取出错!');
            };
            
            // find all contacts with '' in any name field
            var options      = new ContactFindOptions();
            options.filter   = "";//搜索字符串(DOMString) (Default: "")
            options.multiple = true;//是否返回多条数据(Boolean) (Default: false)
            options.desiredFields = [navigator.contacts.fieldType.id];//要返回的联系人字段
            options.hasPhoneNumber = true;//Android only 只返回有手机号的联系人(Boolean) (Default: false)
            var fields       = [navigator.contacts.fieldType.displayName, navigator.contacts.fieldType.name];//获取记录的字段
            navigator.contacts.find(fields, onSuccess, onError, options);
    	}catch(e){
    		alert(e.message);
    	}
 	}
 	
};

demo.initialize();